searchData={"content_type":"text/markdown","items":[{"doc":"Library to parse JSON and convert structs into maps or json without deriving any encoder.","ref":"Jexon.html","title":"Jexon","type":"module"},{"doc":"Returns (casted) value on given JSON","ref":"Jexon.html#from_json/2","title":"Jexon.from_json/2","type":"function"},{"doc":"- `raw`, `boolean`, default: `false`\n  - perform no type casting and keep keys as strings","ref":"Jexon.html#from_json/2-options","title":"Options - Jexon.from_json/2","type":"function"},{"doc":"Returns JSON of any given datatype","ref":"Jexon.html#to_json/2","title":"Jexon.to_json/2","type":"function"},{"doc":"- `with_struct_info`, `boolean`, default: `true`\n  - includes `__struct__` key\n- `with_type_info`, `boolean`, default: `true`\n  - convert all non-existing types into lists starting with the elixir type as `__ __`\n    - e.g. `{1,2,3}` = `[\"__tuple__\", 1, 2, 3]`","ref":"Jexon.html#to_json/2-options","title":"Options - Jexon.to_json/2","type":"function"},{"doc":"iex> data = %{foo: 1, baz: {2}, bar: :lol}\n    iex> Jexon.to_json(data, with_type_info: true)\n    {:ok, ~s/{\"__atom__:bar\":[\"__atom__\",\"lol\"],\"__atom__:baz\":[\"__tuple__\",2],\"__atom__:foo\":1}/}","ref":"Jexon.html#to_json/2-example-usage","title":"Example Usage - Jexon.to_json/2","type":"function"},{"doc":"Returns a map of the struct or atom map but keeps the key identity","ref":"Jexon.html#to_map/2","title":"Jexon.to_map/2","type":"function"},{"doc":"- `with_struct_info`, `boolean`, default: `true`\n  - includes `__struct__` key\n- `keep_key_identity`, `boolean`, default: `false`\n  - encodes atom type if key is an atom","ref":"Jexon.html#to_map/2-options","title":"Options - Jexon.to_map/2","type":"function"},{"doc":"iex> {:ok, datetime} = DateTime.new(~D[2018-07-28], ~T[12:30:00])\n    iex> Jexon.to_map(datetime)\n    %{\n      \"calendar\" => Calendar.ISO,\n      \"day\" => 28,\n      \"hour\" => 12,\n      \"microsecond\" => {0, 0},\n      \"minute\" => 30,\n      \"month\" => 7,\n      \"second\" => 0,\n      \"std_offset\" => 0,\n      \"time_zone\" => \"Etc/UTC\",\n      \"utc_offset\" => 0,\n      \"year\" => 2018,\n      \"zone_abbr\" => \"UTC\",\n      \"__struct__\" => DateTime\n    }","ref":"Jexon.html#to_map/2-example-usage","title":"Example Usage - Jexon.to_map/2","type":"function"}]}